<?php
session_start();
  require("config.php");
  // o usuĂĄrio estĂĄ logado?
  if(!isset($_SESSION["id_usuario_logado"])){
    header("Location: login.php");
    exit;
  }

// tem permissão para alterar?
if(!Permissao::podeAlterar($_SESSION["nivel_acesso"])){
  header("Location: erro_permissao.php");
  exit;  
}
// fim permissão para alterar

$id_usuario_logado = $_SESSION["id_usuario_logado"];
$id_conta = tratar_entrada(utf8_decode(trim($_POST["id_conta"])));
$nome = tratar_entrada(utf8_decode(trim($_POST["nome"])));
$descricao = tratar_entrada(utf8_decode(trim($_POST["descricao"])));
// trata o saldo atual
$saldo_atual = tratar_entrada(utf8_decode(trim($_POST["saldo_atual"])));
$saldo_atual = str_replace(".", "", $saldo_atual);
$saldo_atual = str_replace(",", ".", $saldo_atual);
// fim tratar o saldo atual  

   $result = mysqli_query($conexao, "UPDATE contas_saldos SET nome = '$nome', obs = '$descricao', saldo = '$saldo_atual'
	  WHERE id = '$id_conta'");
 
  if($result){
	  
	  // vamos registrar esse log
  $ip = getUserIpAddr();
  $id_usuario_logado = $_SESSION["id_usuario_logado"];
  $usuario_logado = $_SESSION["usuario_logado"];
  $texto_log = 'O usuario ' . $usuario_logado . ' atualizou a conta saldo ' . $nome . '.';
  $result_2 = mysqli_query($conexao, "INSERT into logs values (null, '$id_usuario_logado', '$texto_log', 
    NOW(), '$usuario_logado', '$ip')");
  // fim registrar o log 
	  
	 header("Location: conta_saldo.php?conta=$id_conta&sucesso=ok");
     exit; 
  }
  else{
	$_SESSION["erro_banco_dados"] = "Houve um erro no cadastro de contas e saldos.<br><br>Erro: " . mysqli_error($conexao);
  header("Location: erro_banco_dados.php");
  exit;  
  }
?>
